## csvimp 0.4.7

=== Makefile ===
#############################################################################
# Makefile for building: csvimp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:41 2012
# Project:  csvimp.pro
# Template: subdirs
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-plugin \
		sub-application

plugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /Users/ghartnett/src/csvimp047/plugin/plugin.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-plugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /Users/ghartnett/src/csvimp047/plugin/plugin.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-plugin: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE)
sub-plugin-make_default: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-make_first: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-all: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-clean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-distclean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-install_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-uninstall_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) uninstall
application/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /Users/ghartnett/src/csvimp047/application/application.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-application-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /Users/ghartnett/src/csvimp047/application/application.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE)
sub-application-make_default: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) 
sub-application-make_first: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) first
sub-application-all: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) all
sub-application-clean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) clean
sub-application-distclean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) distclean
sub-application-install_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) install
sub-application-uninstall_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: csvimp.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/dwarf2.prf \
		/usr/local/Qt4.6/mkspecs/features/debug.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/usr/local/Qt4.6/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/dwarf2.prf:
/usr/local/Qt4.6/mkspecs/features/debug.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/usr/local/Qt4.6/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro

qmake_all: sub-plugin-qmake_all sub-application-qmake_all FORCE

make_default: sub-plugin-make_default sub-application-make_default FORCE
make_first: sub-plugin-make_first sub-application-make_first FORCE
all: sub-plugin-all sub-application-all FORCE
clean: sub-plugin-clean sub-application-clean FORCE
distclean: sub-plugin-distclean sub-application-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-plugin-install_subtargets sub-application-install_subtargets FORCE
uninstall_subtargets: sub-plugin-uninstall_subtargets sub-application-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== application/Makefile ===
#############################################################################
# Makefile for building: ../csvimp.app/Contents/MacOS/csvimp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:41 2012
# Project:  application.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -arch i386 -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -arch i386 -Wall -W $(DEFINES)
INCPATH       = -I/usr/local/Qt4.6/mkspecs/macx-g++ -I. -I/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/usr/include/QtCore -I/Library/Frameworks/QtGui.framework/Versions/4/Headers -I/usr/include/QtGui -I/Library/Frameworks/QtSql.framework/Versions/4/Headers -I/usr/include/QtSql -I/usr/include -I../csvimpcommon -I../csvimpcommon/images -I../plugin -I../../openrpt/common -I../../openrpt/MetaSQL -Itmp -F/Library/Frameworks
LINK          = g++
LFLAGS        = -headerpad_max_install_names -arch i386
LIBS          = $(SUBLIBS) -F/Library/Frameworks -L/Library/Frameworks -L../../openrpt/lib -lcommon -lMetaSQL -framework QtSql -framework QtGui -framework QtCore 
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
STRIP         = 
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = $(COPY_FILE)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
export MACOSX_DEPLOYMENT_TARGET = 10.4

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = main.cpp \
		../csvimpcommon/csvimpdata.cpp qrc_csvimp.cpp
OBJECTS       = tmp/main.o \
		tmp/csvimpdata.o \
		tmp/qrc_csvimp.o
DIST          = /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		application.pro
QMAKE_TARGET  = csvimp
DESTDIR       = ../
TARGET        = ../csvimp.app/Contents/MacOS/csvimp

####### Custom Compiler Variables
QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
		-O2 \
		-arch \
		i386 \
		-Wall \
		-W


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../csvimp.app/Contents/PkgInfo ../csvimp.app/Contents/Resources/empty.lproj ../csvimp.app/Contents/Info.plist ../csvimp.app/Contents/Resources/icons.icns $(TARGET)

$(TARGET): ../../openrpt/lib/libcommon.a ../../openrpt/lib/libMetaSQL.a $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/MacOS/ || $(MKDIR) ../csvimp.app/Contents/MacOS/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: application.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/Library/Frameworks/QtSql.framework/QtSql.prl \
		/Library/Frameworks/QtCore.framework/QtCore.prl \
		/Library/Frameworks/QtGui.framework/QtGui.prl
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
../global.pri:
/usr/local/Qt4.6/mkspecs/features/release.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/Library/Frameworks/QtSql.framework/QtSql.prl:
/Library/Frameworks/QtCore.framework/QtCore.prl:
/Library/Frameworks/QtGui.framework/QtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro

../csvimp.app/Contents/PkgInfo: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents || $(MKDIR) ../csvimp.app/Contents 
	@$(DEL_FILE) ../csvimp.app/Contents/PkgInfo
	@echo "APPL????" >../csvimp.app/Contents/PkgInfo
../csvimp.app/Contents/Resources/empty.lproj: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/Resources || $(MKDIR) ../csvimp.app/Contents/Resources 
	@touch ../csvimp.app/Contents/Resources/empty.lproj
	
../csvimp.app/Contents/Info.plist: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents || $(MKDIR) ../csvimp.app/Contents 
	@$(DEL_FILE) ../csvimp.app/Contents/Info.plist
	@sed -e "s,@ICON@,icons.icns,g" -e "s,@EXECUTABLE@,csvimp,g" -e "s,@TYPEINFO@,????,g" Info.plist >../csvimp.app/Contents/Info.plist
../csvimp.app/Contents/Resources/icons.icns: ../csvimpcommon/images/icons.icns
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/Resources/ || $(MKDIR) ../csvimp.app/Contents/Resources/ 
	@$(DEL_FILE) ../csvimp.app/Contents/Resources/icons.icns
	@$(COPY_FILE) ../csvimpcommon/images/icons.icns ../csvimp.app/Contents/Resources/icons.icns
dist: 
	@$(CHK_DIR_EXISTS) tmp/csvimp1.0.0 || $(MKDIR) tmp/csvimp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/csvimp1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimpdata.h ../csvimpcommon/csvimpplugininterface.h tmp/csvimp1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimp.qrc tmp/csvimp1.0.0/ && $(COPY_FILE) --parents main.cpp ../csvimpcommon/csvimpdata.cpp tmp/csvimp1.0.0/ && (cd `dirname tmp/csvimp1.0.0` && $(TAR) csvimp1.0.0.tar csvimp1.0.0 && $(COMPRESS) csvimp1.0.0.tar) && $(MOVE) `dirname tmp/csvimp1.0.0`/csvimp1.0.0.tar.gz . && $(DEL_FILE) -r tmp/csvimp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) -r ../csvimp.app
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_objective_c_make_all:
compiler_objective_c_clean:
compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all: qrc_csvimp.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_csvimp.cpp
qrc_csvimp.cpp: ../csvimpcommon/csvimp.qrc \
		../csvimpcommon/images/splashCSVimp.png \
		../csvimpcommon/images/CSVimpIcon-32x32.png
	/Developer/Tools/Qt/rcc -name csvimp ../csvimpcommon/csvimp.qrc -o qrc_csvimp.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_rez_source_make_all:
compiler_rez_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean 

####### Compile

tmp/main.o: main.cpp ../../openrpt/common/xsqlquery.h \
		../../openrpt/common/dbtools.h \
		../../openrpt/common/login.h \
		../../openrpt/common/parameter.h \
		../../openrpt/common/tmp/ui_login.h \
		../csvimpcommon/csvimpdata.h \
		../csvimpcommon/csvimpplugininterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/main.o main.cpp

tmp/csvimpdata.o: ../csvimpcommon/csvimpdata.cpp ../csvimpcommon/csvimpdata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/csvimpdata.o ../csvimpcommon/csvimpdata.cpp

tmp/qrc_csvimp.o: qrc_csvimp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qrc_csvimp.o qrc_csvimp.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== plugin/Makefile ===
#############################################################################
# Makefile for building: libcsvimpplugin.dylib
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:40 2012
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SQL_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -arch i386 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -arch i386 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/local/Qt4.6/mkspecs/macx-g++ -I. -I/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/usr/include/QtCore -I/Library/Frameworks/QtGui.framework/Versions/4/Headers -I/usr/include/QtGui -I/Library/Frameworks/QtXml.framework/Versions/4/Headers -I/usr/include/QtXml -I/Library/Frameworks/QtXmlPatterns.framework/Versions/4/Headers -I/usr/include/QtXmlPatterns -I/Library/Frameworks/QtSql.framework/Versions/4/Headers -I/usr/include/QtSql -I/usr/include -I../csvimpcommon -I../csvimpcommon/images -I../../openrpt/common -I../../openrpt/MetaSQL -Itmp -Itmp -F/Library/Frameworks
LINK          = g++
LFLAGS        = -headerpad_max_install_names -arch i386 -single_module -dynamiclib
LIBS          = $(SUBLIBS) -F/Library/Frameworks -L/Library/Frameworks -L../../openrpt/lib -lcommon -lMetaSQL -framework QtSql -framework QtXmlPatterns -framework QtNetwork -framework QtXml -framework QtGui -framework QtCore 
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
STRIP         = 
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = $(COPY_FILE)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
export MACOSX_DEPLOYMENT_TARGET = 10.4

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = batchmessagehandler.cpp \
		csvaddmapinputdialog.cpp \
		csvimpplugin.cpp \
		csvatlas.cpp \
		csvatlaswindow.cpp \
		csvdata.cpp \
		csvmap.cpp \
		csvtoolwindow.cpp \
		interactivemessagehandler.cpp \
		logwindow.cpp \
		missingfield.cpp \
		rowcontroller.cpp \
		xabstractmessagehandler.cpp \
		../csvimpcommon/csvimpdata.cpp tmp/moc_batchmessagehandler.cpp \
		tmp/moc_csvaddmapinputdialog.cpp \
		tmp/moc_csvimpplugin.cpp \
		tmp/moc_csvatlaswindow.cpp \
		tmp/moc_csvdata.cpp \
		tmp/moc_csvtoolwindow.cpp \
		tmp/moc_interactivemessagehandler.cpp \
		tmp/moc_logwindow.cpp \
		tmp/moc_missingfield.cpp \
		tmp/moc_rowcontroller.cpp \
		tmp/moc_xabstractmessagehandler.cpp \
		qrc_csvimp.cpp
OBJECTS       = tmp/batchmessagehandler.o \
		tmp/csvaddmapinputdialog.o \
		tmp/csvimpplugin.o \
		tmp/csvatlas.o \
		tmp/csvatlaswindow.o \
		tmp/csvdata.o \
		tmp/csvmap.o \
		tmp/csvtoolwindow.o \
		tmp/interactivemessagehandler.o \
		tmp/logwindow.o \
		tmp/missingfield.o \
		tmp/rowcontroller.o \
		tmp/xabstractmessagehandler.o \
		tmp/csvimpdata.o \
		tmp/moc_batchmessagehandler.o \
		tmp/moc_csvaddmapinputdialog.o \
		tmp/moc_csvimpplugin.o \
		tmp/moc_csvatlaswindow.o \
		tmp/moc_csvdata.o \
		tmp/moc_csvtoolwindow.o \
		tmp/moc_interactivemessagehandler.o \
		tmp/moc_logwindow.o \
		tmp/moc_missingfield.o \
		tmp/moc_rowcontroller.o \
		tmp/moc_xabstractmessagehandler.o \
		tmp/qrc_csvimp.o
DIST          = /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		plugin.pro
QMAKE_TARGET  = csvimpplugin
DESTDIR       = ../plugins/
TARGET        = libcsvimpplugin.dylib
TARGETD       = libcsvimpplugin.dylib

####### Custom Compiler Variables
QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
		-O2 \
		-arch \
		i386 \
		-Wall \
		-W


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../plugins/$(TARGET)

../plugins/$(TARGET): ../../openrpt/lib/libcommon.a ../../openrpt/lib/libMetaSQL.a tmp/ui_csvaddmapinputdialog.h tmp/ui_csvatlaswindow.h tmp/ui_csvimportprogress.h tmp/ui_csvtoolwindow.h tmp/ui_logwindow.h tmp/ui_missingfield.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../plugins/ || $(MKDIR) ../plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../plugins/



Makefile: plugin.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/Library/Frameworks/QtSql.framework/QtSql.prl \
		/Library/Frameworks/QtCore.framework/QtCore.prl \
		/Library/Frameworks/QtXmlPatterns.framework/QtXmlPatterns.prl \
		/Library/Frameworks/QtNetwork.framework/QtNetwork.prl \
		/Library/Frameworks/QtXml.framework/QtXml.prl \
		/Library/Frameworks/QtGui.framework/QtGui.prl
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
../global.pri:
/usr/local/Qt4.6/mkspecs/features/release.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/Library/Frameworks/QtSql.framework/QtSql.prl:
/Library/Frameworks/QtCore.framework/QtCore.prl:
/Library/Frameworks/QtXmlPatterns.framework/QtXmlPatterns.prl:
/Library/Frameworks/QtNetwork.framework/QtNetwork.prl:
/Library/Frameworks/QtXml.framework/QtXml.prl:
/Library/Frameworks/QtGui.framework/QtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/csvimpplugin1.0.0 || $(MKDIR) tmp/csvimpplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents batchmessagehandler.h csvaddmapinputdialog.h csvimpplugin.h csvatlas.h csvatlaswindow.h csvdata.h csvmap.h csvtoolwindow.h interactivemessagehandler.h logwindow.h missingfield.h rowcontroller.h xabstractmessagehandler.h ../csvimpcommon/csvimpdata.h ../csvimpcommon/csvimpplugininterface.h tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimp.qrc tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents batchmessagehandler.cpp csvaddmapinputdialog.cpp csvimpplugin.cpp csvatlas.cpp csvatlaswindow.cpp csvdata.cpp csvmap.cpp csvtoolwindow.cpp interactivemessagehandler.cpp logwindow.cpp missingfield.cpp rowcontroller.cpp xabstractmessagehandler.cpp ../csvimpcommon/csvimpdata.cpp tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents csvaddmapinputdialog.ui csvatlaswindow.ui csvimportprogress.ui csvtoolwindow.ui logwindow.ui missingfield.ui tmp/csvimpplugin1.0.0/ && (cd `dirname tmp/csvimpplugin1.0.0` && $(TAR) csvimpplugin1.0.0.tar csvimpplugin1.0.0 && $(COMPRESS) csvimpplugin1.0.0.tar) && $(MOVE) `dirname tmp/csvimpplugin1.0.0`/csvimpplugin1.0.0.tar.gz . && $(DEL_FILE) -r tmp/csvimpplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_objective_c_make_all:
compiler_objective_c_clean:
compiler_moc_header_make_all: tmp/moc_batchmessagehandler.cpp tmp/moc_csvaddmapinputdialog.cpp tmp/moc_csvimpplugin.cpp tmp/moc_csvatlaswindow.cpp tmp/moc_csvdata.cpp tmp/moc_csvtoolwindow.cpp tmp/moc_interactivemessagehandler.cpp tmp/moc_logwindow.cpp tmp/moc_missingfield.cpp tmp/moc_rowcontroller.cpp tmp/moc_xabstractmessagehandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_batchmessagehandler.cpp tmp/moc_csvaddmapinputdialog.cpp tmp/moc_csvimpplugin.cpp tmp/moc_csvatlaswindow.cpp tmp/moc_csvdata.cpp tmp/moc_csvtoolwindow.cpp tmp/moc_interactivemessagehandler.cpp tmp/moc_logwindow.cpp tmp/moc_missingfield.cpp tmp/moc_rowcontroller.cpp tmp/moc_xabstractmessagehandler.cpp
tmp/moc_batchmessagehandler.cpp: xabstractmessagehandler.h \
		batchmessagehandler.h
	/Developer/Tools/Qt/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ batchmessagehandler.h -o tmp/moc_batchmessagehandler.cpp

tmp/moc_csvaddmapinputdialog.cpp: tmp/ui_csvaddmapinputdialog.h \
		csvaddmapinputdialog.h

=== debian/changelog ===
csvimp (0.4.7-2) unstable; urgency=low

  * Make clean less fragile

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 22 Sep 2013 09:23:46 +0200

csvimp (0.4.7-1) unstable; urgency=low

  * Initial release. (Closes: #723654)

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 18 Sep 2013 17:10:54 +0200

=== debian/control ===
Source: csvimp
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev
Standards-Version: 3.9.4
Homepage: http://www.xtuple.org/DataImportTool
Vcs-Git: git://git.debian.org/collab-maint/csvimp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/csvimp.git;a=summary

Package: csvimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-psql
Description: CSV data import tool for xTuple applications
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).

Package: libcsvimp-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4.1.0), ${misc:Depends}
Description: CSV data import tool for xTuple applications (development files)
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).
 .
 This package contains the static development library and its headers.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=. --parallel

override_dh_auto_clean:
	-rm -rf bin/* OpenRPT/Dmtx_Library
	-dh_auto_clean

override_dh_auto_configure:
	#lrelease */*/*.ts */*.ts
#	qmake
	# convert to use shared libs
	find . -name '*.pro' -exec sed -i -e 's/lib\([A-Za-z]*\)\.a/lib\1.so/'  {} \;
	dh_auto_configure

override_dh_auto_install:
	#mv bin/graph bin/openrpt-graph
	#mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/csvimp
	#mv plugins/libcsvimpplugin.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/csvimp
	dh_auto_install

.PHONY: override_dh_auto_install override_dh_auto_clean

## csvimp 0.5.0

=== debian/changelog ===
csvimp (0.5.0-2) unstable; urgency=medium

  * Minor fixes.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 20:14:24 +0200

csvimp (0.5.0-1) unstable; urgency=medium

  * Update for latest upstream code.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 16:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev
-Standards-Version: 3.9.4
+Uploaders: Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.7)
+Standards-Version: 3.9.6
 Homepage: http://www.xtuple.org/DataImportTool
-Vcs-Git: git://git.debian.org/collab-maint/csvimp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/csvimp.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git
 
 Package: csvimp
 Architecture: any

## csvimp 0.5.1

=== debian/changelog ===
csvimp (0.5.1-2) unstable; urgency=medium

  * Update VCS fields to continue using alioth

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 07 Sep 2015 09:53:31 +0200

csvimp (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 03 Sep 2015 14:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.7)
+Uploaders:
+ Andrew Shadura <andrewsh@debian.org>,
+ Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.10)
 Standards-Version: 3.9.6
 Homepage: http://www.xtuple.org/DataImportTool
 Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git

=== debian/watch ===
# unfortunately, upstream uses crazy download naming schema, so we can't use this to update automagically yet :(

version=3
http://sf.net/postbooks/CSVImp-([\d+\.]+)-source.tar.bz2

## csvimp 0.5.4

=== debian/changelog ===
csvimp (0.5.4-2) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 17 Jan 2017 18:10:24 +0100

csvimp (0.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 11 Jan 2017 17:51:39 +0100

=== debian/control ===
Source: csvimp
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Shadura <andrewsh@debian.org>,
 Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.12)
Standards-Version: 3.9.6
Homepage: http://www.xtuple.org/DataImportTool
Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git

Package: csvimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-psql
Description: CSV data import tool for xTuple applications
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).

Package: libcsvimp-dev
Section: libdevel
Architecture: any
Depends: qtbase5-dev (>= 5.3.0), ${misc:Depends}
Description: CSV data import tool for xTuple applications (development files)
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).
 .
 This package contains the static development library and its headers.

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,26 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export QT_SELECT=qt5
+
+export HARDCODE_APPLICATION_DIR='"/usr/lib/csvimp"'
+export USE_SHARED_OPENRPT=1
+export OPENRPT_HEADERS=/usr/include/openrpt
+export OPENRPT_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
 %:
 	dh $@ --builddirectory=. --parallel
 
 override_dh_auto_clean:
-	-rm -rf bin/* OpenRPT/Dmtx_Library
+	-rm -rf bin/*
 	-dh_auto_clean
 
-override_dh_auto_configure:
+#override_dh_auto_configure:
 	#lrelease */*/*.ts */*.ts
 #	qmake
 	# convert to use shared libs
-	find . -name '*.pro' -exec sed -i -e 's/lib\([A-Za-z]*\)\.a/lib\1.so/'  {} \;
-	dh_auto_configure
+	#find . -name '*.pro' -exec sed -i -e 's/lib\([A-Za-z]*\)\.a/lib\1.so/'  {} \;
+#	dh_auto_configure
 
 override_dh_auto_install:
 	#mv bin/graph bin/openrpt-graph

## csvimp 0.6.2

=== debian/changelog ===
csvimp (0.6.2-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>  Tue, 19 Jan 2021 14:15:24 +0800

csvimp (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 24 Apr 2018 11:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Andrew Shadura <andrewsh@debian.org>,
  Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.12)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.14)
+Standards-Version: 3.9.8
 Homepage: http://www.xtuple.org/DataImportTool
-Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git
+Vcs-Git: https://salsa.debian.org/xtuple-maintainers-team/csvimp.git
+Vcs-Browser: https://salsa.debian.org/xtuple-maintainers-team/csvimp
 
 Package: csvimp
 Architecture: any
